# Person -ID Investigation / Criminal+W&A+SexOffender

Source: https://docs.pitchpointsolutions.com/api/order/order_idinvestigation/

**Stable**

## Person -ID Investigation

Ordering a `Person -ID Investigation` or a `Person -Criminal+W&A+SexOffender` (aka `IDInvestigation`) product.

This same order type is also offered as the product **Person -Criminal+W&A+SexOffender**. The request and response are identical between the two — the product name configured indicates the specialized configuration on the backend.

> **Before Starting:** Get the URL from your Pitchpoint Account Representative of where you should be submitting your orders to.

### Sample
```bash
url="https://api.pointservices.com/riskinsight-services-ws/resources/v1/sami/IDInvestigation/PDF-001"
curl -X POST "${url}" \
-H "Authorization: Bearer your_access_token_here" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
  "CorrelationID" : "idinvestigation-001",
  "Terms" : {
    "Term" : [ {
      "Person" : {
        "FirstName" : "Daffy",
        "LastName" : "Duckerson",
        "SSN" : "123121234",
        "DOB" : "12/17/1976",
        "HomePhone" : "1234567890",
        "Residences" : {
          "Residence" : [ {
            "Address" : {
              "AddressLine1" : "123 Main St",
              "City" : "Anytown",
              "State" : "CA",
              "PostalCode" : "12345"
            },
            "CurrentIndicator" : true
          } ]
        }
      }
    } ]
  }
}
'
```

#### Header Properties

| Property                  | Value            | Required? |
|---------------------------|------------------|-----------|
| Content-Type              | application/json | true      |
| Accept                    | application/json | true      |
| X-PPS-UserAlias           | *your value*     | false     |
| X-PPS-UserAgent           | *your value*     | false     |
| X-PPS-CorrelationID       | *your value*     | false     |

See the [Common Headers guide](https://docs.pitchpointsolutions.com/developer_guides/headers/index/) for details on the optional `X-PPS-*` headers above.

#### Request Data Properties

| Property      | Description                                                                                            | Type   | Default |
|----------------|---------------------------------------------------------------------------------------------------------|--------|---------|
| CorrelationID  | (mandatory) A user-defined reference number to help identify the order.  Does not need to be unique.  | string |         |
| Terms          | (mandatory) See section below for more details.                                                       | object |         |

##### Terms.Term.Person

| Property         | Description                                                                               | Type    |
|------------------|--------------------------------------------------------------------------------------------|---------|
| FirstName        | (mandatory) First name of the person                                                      | string  |
| LastName         | (mandatory) Last name of the person                                                       | string  |
| SSN              | (mandatory) Social Security Number of the person                                          | string  |
| DOB              | (mandatory) Date of Birth -- in the `MM/DD/YYYY` format                                   | string  |
| HomePhone        | (mandatory) Home phone number -- in `NNN-NNN-NNNN` or `(NNN) NNN-NNNN` or `NNNNNNNNNN` format | string  |
| Residences       | (mandatory) See section below for more details.                                           | object  |

##### Terms.Term.Person.Residences.Residence

| Property         | Description                                                                               | Type    |
|------------------|--------------------------------------------------------------------------------------------|---------|
| Address          | (mandatory) See section below for more details.                                           | object  |
| CurrentIndicator | (mandatory) Indicates whether this is the person's current residence -- `true` or `false`. At least one `Residence` must have `CurrentIndicator` set to `true` for the order to submit successfully. | boolean |

##### Terms.Term.Person.Residences.Residence.Address

| Property         | Description                                                                               | Type    |
|------------------|--------------------------------------------------------------------------------------------|---------|
| AddressLine1     | (mandatory) Line1 of the residence address of the person                                  | string  |
| City             | (mandatory) City of the residence address of the person                                   | string  |
| State            | (mandatory) State of the residence address of the person -- 2-character code              | string  |
| PostalCode       | (mandatory) 5 or 9 digit zip code of the residence address                                | string  |

### Responses

**200**

The input data is echo-ed back with following additional fields: 

| Property      | Description                                                                                                                                             | Type   |
|---------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------|--------|
| TransactionID | A Pitchpoint generated identifying string to uniquely identify this loan                                                                                | string |  
|               | Messages.Message -- A list of messages regarding the result of the order                                                                                |        |
| Category      | Typically one of `Info` or `Fault` to indicate whether or not this is an information message or an error message.                                       | string |
| Code          | Unique code for the `Message`.  Typically, this is `I001` when a report has been generated.  A value starting with `EXXX` generally indicates an error. | string |
| Description   | Description of the message                                                                                                                              | string |
| Ref           | The url to query to retrieve the results of the order                                                                                                   | string | 
|               | Status -- An object that states the current status of the order as related to billing matters.                                                          |        | 
| Code          | The status code.  This will typically be `S001`                                                                                                         | string |
| Description   | A description of the code                                                                                                                               | string |
|               | Attachments -- A list of report(s).  Depending on your particular product configuration, you may get one or two reports.                                |        |
| Attachments   | See section below for more details                                                                                                                      | object |

#### Attachments.Attachment

| Property                        | Description                                                    | Type   |
|-----------------------------------|------------------------------------------------------------------|--------|
| Document                        | A base64 encoded file                                          | string | 
| Classifier                      | Indicates what type of Attachment this is.  Typically `report` | string |
| ContentDisposition              | Metadata about the file                                        | string | 
| ContentType                     | The mimetype of the file                                       | string |
|                             |                                                                |        | 
| Extension                   |                                                                |        |
| Extension.any               | An xml representation of the report, rooted at `<IDInvestigationReport` | string |

Example:
```json
{
  "TransactionID": "0000000000011038342",
  "CorrelationID": "idinvestigation-001",
  "Terms": {
    "Term": [
      {
        "Person": {
          "FirstName": "Daffy",
          "LastName": "Duckerson",
          "SSN": "123121234",
          "DOB": "12/17/1976",
          "HomePhone": "1234567890",
          "Residences": {
            "Residence": [
              {
                "Address": {
                  "AddressLine1": "123 Main St",
                  "City": "Anytown",
                  "State": "CA",
                  "PostalCode": "12345"
                },
                "CurrentIndicator": true
              }
            ]
          }
        }
      }
    ]
  },
  "Attachments" : {
    "Attachment": [
      {
        "Properties": null,
        "Extension": null,
        "Document": "JVBERi0xLjUKJd/++LIKMSAwIG9iago8PC9U...mVhbQplbmRvYmoKCnN0YXJ0eHJlZgo0NzA1CiUlRU9GCg==",
        "Classifier": "report",
        "ContentDisposition": "inline; filename=\"IDInvestigationReport\"; creation-date=\"Sun, 02 Aug 2026 01:43:13 UTC\"; modification-date=\"Sun, 02 Aug 2026 01:43:13 UTC\"; read-date=\"Sun, 02 Aug 2026 01:43:13 UTC\"; size=5008",
        "ContentType": "application/pdf"
      },
      {
        "Properties": null,
        "Extension": {
          "any": "<IDInvestigationReport xmlns=\"\"><ProcessDate>2026-08-02T03:21:50.096Z</ProcessDate><ReferenceNumber>idinvestigation-001</ReferenceNumber><InputData><Name>Daffy Duckerson</Name><AddressLine1>123 Main St</AddressLine1><AddressLine2/><City>Anytown</City><State>CALIFORNIA</State><Zip>12345</Zip><SSN>123121234</SSN><DateOfBirth>12/17/1976</DateOfBirth><Phone>(123) 456-7890(home) </Phone></InputData><Score><ValidationScore>5</ValidationScore><KeyDrivers><KeyDriver><Rank>1</Rank><Description>Social Issued Before DOB</Description></KeyDriver><KeyDriver><Rank>1</Rank><Description>Address is invalid.</Description></KeyDriver><KeyDriver><Rank>1</Rank><Description>Date Of Birth could not be verified</Description></KeyDriver></KeyDrivers></Score><Results><FirstName><Input>Daffy </Input><Result>Failed</Result><DateSeen>05/29/2026</DateSeen><Alternate><Input>NIKKI</Input><Result>Alternate</Result></Alternate></FirstName><LastName><Input>Duckerson</Input><Result>Close Match</Result><DateSeen>05/29/2026</DateSeen><Alternate><Input>DICKERSON</Input><Result>Alternate</Result></Alternate></LastName><Address><Input>123 Main St</Input><Result>Discrepancy</Result><Messages><Message>Address is invalid.</Message><Message>Name not reported at Address</Message></Messages><DateSeen>05/29/2026</DateSeen><Alternate><Input>12345 NAMELESS ST</Input><Result>Alternate</Result></Alternate></Address><Phone><Input>(123) 456-7890</Input><Result>Miskey</Result><Messages><Message>2314567890</Message><Message>Invalid Phone</Message><Message>Phone reported only with different Address(es)</Message><Message>Phone reported only with different First name(s)</Message></Messages><DateSeen>05/29/2026</DateSeen></Phone><SSN><Input>123-12-1234</Input><Result>Discrepancy</Result><Messages><Message>Social Issued Before DOB</Message><Message>Social Reported Only with Different Address(es)</Message><Message>Social Reported Only with Different Last Name(s)</Message><Message>Social Reported Only with Different First Name(s)</Message></Messages></SSN><DOB><Input>1976-12-17</Input><Result>Failed</Result><Messages><Message>Date Of Birth could not be verified</Message></Messages></DOB><Zip><Input>12345</Input><Result>Failed</Result><Messages><Message>No match to zip+4 file</Message></Messages></Zip></Results><Checks><NotOnSSADeathMasterFile><Result>Pass</Result></NotOnSSADeathMasterFile><ValidUSPSAddress><Result>Fail</Result></ValidUSPSAddress><DwellingType><Messages><Message>n/a</Message></Messages></DwellingType><ResidentialOrBusiness><Messages><Message>n/a</Message></Messages></ResidentialOrBusiness><LandUse><Messages><Message>n/a</Message></Messages></LandUse></Checks></IDInvestigationReport>"
        },
        "Document": null,
        "Classifier": null,
        "ContentDisposition": null,
        "ContentType": "text/xml"
      }
    ]
  },
  "Messages" : {
    "Message" : [ {
      "Category" : "Info",
      "Code" : "I001",
      "Description" : "Success"
    } ]
  },
  "Status" : {
    "Code" : "S001",
    "Description" : "Serviceable"
  },
  "Ref" : "https://api.pointservices.com/riskinsight-services-ws/resources/v1/sami/0000000000011038342"
}
```

For a complete list of possible [Message](https://docs.pitchpointsolutions.com/api/order/enums/messagedef/)
